Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.record
Interface RecordType

All Known Implementing Classes:
  RecordTypeImpl

    public interface RecordType

A representation of the type of a `record`.

Method Summary
`int` | `count()` Gets the number of fields in the record.
`int` | `fieldCount()` Gets the number of fields in the record.
`int` | `getFieldIndex(Name name)` Gets the corresponding index in a record for a field by name
`FieldType` | `getFieldType(int index)` Gets the field type at the specified index.
`FieldType` | `getFieldTypeAt(int index)` Deprecated. since ServingXML 0.6.2: use `getFieldType(int)`
`FieldType[]` | `getFieldTypes()`
`Name` | `getName()` Gets the name of the record type.

Method Detail

### count

    int count()

  Gets the number of fields in the record.

  Returns:
    the number of fields.

### fieldCount

    int fieldCount()

  Gets the number of fields in the record.

  Returns:
    the number of fields.

### getFieldTypeAt

    @Deprecated
    FieldType getFieldTypeAt(int index)

  Deprecated. since ServingXML 0.6.2: use `getFieldType(int)`

  Gets the field type at the specified index.

  Parameters:
    `index` - the index of the field type.
  Returns:
    the type of the specified field.

### getFieldType

    FieldType getFieldType(int index)

  Gets the field type at the specified index.

  Parameters:
    `index` - the index of the field type.
  Returns:
    the type of the specified field.

### getName

    Name getName()

  Gets the name of the record type.

  Returns:
    the name of the record type.

### getFieldIndex

    int getFieldIndex(Name name)

  Gets the corresponding index in a record for a field by name

  Parameters:
    `name` - the name of the field.
  Returns:
    the index of the field in the record

### getFieldTypes

    FieldType[] getFieldTypes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD